Results 1 to 3 of 3

Thread: cannot install krename in Knoppix 7.6

  1. #1
    Member registered user
    Join Date
    Dec 2006
    Posts
    44

    cannot install krename in Knoppix 7.6

    I sudo su - to become root and ran apt-get update, and then I tried to install krename :

    Code:
    root@Microknoppix:~# apt-get install krename
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
     krename : Depends: libpodofo0.9.0 but it is not going to be installed
               Depends: libtag1c2a (>= 1.5) but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.
    
    root@Microknoppix:~# ll /lib/libpodofo* /usr/lib/libpodofo* /usr/local/lib/libpodofo* /lib/libtag* /usr/lib/libtag* /usr/local/lib/libtag*
    ls: cannot access /lib/libpodofo*: No such file or directory
    ls: cannot access /usr/local/lib/libpodofo*: No such file or directory
    ls: cannot access /lib/libtag*: No such file or directory
    ls: cannot access /usr/local/lib/libtag*: No such file or directory
    -rw-r--r-- 1 root root 1528744 2015-08-29 15:33:28 /usr/lib/libpodofo.so.0.9.0
    lrwxrwxrwx 1 root root      22 2015-08-09 18:43:12 /usr/lib/libtag-extras.so.1 -> libtag-extras.so.1.0.0
    -rw-r--r-- 1 root root   50456 2015-08-09 18:43:12 /usr/lib/libtag-extras.so.1.0.0
    
    root@Microknoppix:~# apt-get install libtag1c2a
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
     libtag1c2a : Depends: libtag1-vanilla (= 1.9.1-2.1) but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.
    
    root@Microknoppix:~# apt-get install libtag1-vanilla
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
     libkf5notifications5 : Depends: phonon4qt5 but it is not going to be installed
    E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
    
    root@Microknoppix:~# apt-get install phonon4qt5
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    phonon4qt5 is already the newest version.
    phonon4qt5 set to manually installed.
    0 upgraded, 0 newly installed, 0 to remove and 323 not upgraded.
    
    root@Microknoppix:~# apt-get install libkf5notifications5
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    libkf5notifications5 is already the newest version.
    libkf5notifications5 set to manually installed.
    0 upgraded, 0 newly installed, 0 to remove and 323 not upgraded.
    How can I get krename installed ? I really miss it.

  2. #2
    Moderator Moderator
    Join Date
    Nov 2010
    Location
    Germany/ Dietzenbach
    Posts
    1,124
    I sudo su - to become root ..
    Please don't use this Ubuntu nonsense - it violates sudo's security policy. To become root use within Knoppix "su", within Ubuntu "sudo -i". And to answer your question - use synaptic and select and install krename_4.0.9-3+b4_i386.deb (not "..b1..!).

  3. #3
    Member registered user
    Join Date
    Dec 2006
    Posts
    44
    Thank you Werner.
    I downloaded the package and installed it with dpkg, and it works perfectly.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •